#!/usr/bin/php
<?php
/*
	This script renders 6 sides of a skybox with povray.
	Written in PHP, to execute "apt-get install php4-cli"
*/
// resolution in pixels, height=weight=size
$size = 256; // 32^x ??
// $size = 128;
// $size = 256;
$basefile = "base.pov";
$infile_prefix = "breed_";
$infile_postfix = ".pov";
$outfile_prefix = "exp_";
$outfile_postfix = ".tga";
$breednumber = 0;
$outfolder = "out";
do {
	++$breednumber;
	$oldfolder = "breeds/breed_".sprintf("%03d",$breednumber);
	$folder = "breeds/breed_".sprintf("%06d",$breednumber);
	for ($i=0;true;++$i) {
		$oldoutfile = $outfolder."/".$outfile_prefix . sprintf("%03d",$breednumber)."_".sprintf("%03d",$i) . $outfile_postfix;
		$newoutfile = $outfolder."/".$outfile_prefix . sprintf("%06d",$breednumber)."_".sprintf("%03d",$i) . $outfile_postfix;
	
		if (!file_exists($oldoutfile)) break;
		if (file_exists($newoutfile)) break;
		rename($oldoutfile,$newoutfile);
	}
} while (file_exists($folder)) ;

$infile = $folder . "/" . $infile_prefix . sprintf("%06d",$breednumber) . $infile_postfix;

function frand () { return rand() / getrandmax(); }
function frand_hi () { return sqrt(frand()); }
function frand_hi2 () { return sqrt(frand_hi()); }
function frand_lo () { return frand()*frand(); }
function frand_lo2 () { return frand_lo()*frand_lo(); }
function file_put_contents ($path,$data) { 
	$handle = fopen($path, "w");
	fwrite($handle, $data);
	fclose($handle);
}

// generate file data
$colormap = array();
for ($curpos = frand_lo2();$curpos < 1.0;$curpos += 0.001+frand_lo()) {
	$colormap[] = "[".$curpos." color rgb <".frand().",".frand().",".frand().">]";
}
$colormap[] = "[1.0 color rgb <".frand().",".frand().",".frand().">]";

// exit( implode("\n",$colormap) );

// save file
if (!file_exists($folder)) mkdir($folder);
$inpov = file_get_contents($basefile);
$inpov = strtr($inpov,array(	"__COLORMAP__"=>implode("\n",$colormap),
								"__TURBULENCE__"=> 0.2 + 0.6 * frand(),
								"__TURBSTART__"=>100 * frand(),
								"__EMISSION__"=> 0.6 + 0.5 * frand(),
							));
file_put_contents($infile,$inpov);

// [0.0 color rgb <1, 1, 0>]



$numframes = 1;
for ($i=0;$i<$numframes;++$i) {
	$outfile = $outfolder."/".$outfile_prefix . sprintf("%06d",$breednumber)."_".sprintf("%03d",$i) . $outfile_postfix;
	//shell_exec("povray  -I$infile -H$size -W$size +FN32 -D -O$outfile -K$i");
	//shell_exec("povray  -I$infile -H$size -W$size +FT -D32 -O$outfile -K$i");
	shell_exec("povray  -I$infile -H$size -W$size +FT +D32 -O$outfile -K".($i/$numframes));
}


/*

F[CNPT][n] or Output_to_File=bool Output_File_Type=char
              Store the rendered image using one of the available formats, namely 
			  C Compressed TGA, 
			  N PNG, 
			  P PPM, 
			  T and TGA.
              PNG format supports the n option to specify the number of bits per color, where 5 <=  n  <=  16.   The
              default is 8.
D[0][GHT] or Display=bool  Palette=char
	  Display the rendering in progress, optionally specifying  the  palette.   The  only  valid  X  Windows
	  palette  option  is  G,  which forces grayscale preview.  The X Windows palette is based on the visual
	  used, whether selected automatically by POV-Ray or via the -visual option.  SVGA  options  are  T  for
	  24-bit  true-color, and H for 15-bit high-color display, in addition to the default 256-color palette.
	  To specify the palette, you must first specify the display type (the second character, shown  here  as
	  '0') for compatibility reasons, even though it is ignored in Unix versions.

*/
echo "done.\n";
?>